# Uses of Interface
org.springframework.transaction.reactive.TransactionSynchronization

Packages that use TransactionSynchronization
Package
Description
org.springframework.transaction.reactive
Support classes for reactive transaction management.

## Uses of TransactionSynchronization in org.springframework.transaction.reactive

Classes in org.springframework.transaction.reactive that implement TransactionSynchronization
Modifier and Type
Class
Description
`class`
`ReactiveResourceSynchronization<O,K>`
`TransactionSynchronization` implementation that manages a resource object bound through `TransactionSynchronizationManager`.
Methods in org.springframework.transaction.reactive that return types with arguments of type TransactionSynchronization
Modifier and Type
Method
Description
`Set<TransactionSynchronization>`
TransactionContext.`getSynchronizations()`
`List<TransactionSynchronization>`
TransactionSynchronizationManager.`getSynchronizations()`
Return an unmodifiable snapshot list of all registered synchronizations for the current context.
Methods in org.springframework.transaction.reactive with parameters of type TransactionSynchronization
Modifier and Type
Method
Description
`void`
TransactionSynchronizationManager.`registerSynchronization(TransactionSynchronization synchronization)`
Register a new transaction synchronization for the current context.
Method parameters in org.springframework.transaction.reactive with type arguments of type TransactionSynchronization
Modifier and Type
Method
Description
`protected reactor.core.publisher.Mono<Void>`
AbstractReactiveTransactionManager.`registerAfterCompletionWithExistingTransaction(TransactionSynchronizationManager synchronizationManager, Object transaction, List<TransactionSynchronization> synchronizations)`
Register the given list of transaction synchronizations with the existing transaction.
`void`
TransactionContext.`setSynchronizations(Set<TransactionSynchronization> synchronizations)`